> For the complete documentation index, see [llms.txt](https://docs.maestro.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.maestro.dev/reference/commands-available/setdarkmode.md).

# setDarkMode

The `setDarkMode` command sets the system-wide dark mode (light/dark appearance) state on the device.

{% hint style="info" %}
On Android, this toggles the system night mode setting. On iOS, this controls the simulator's system appearance. On web, this forces the `prefers-color-scheme` media query, which affects any page using it to detect dark mode.
{% endhint %}

### Syntax

The command takes a single required argument that specifies the desired state for dark mode.

The following example enables dark mode:

```yaml
- setDarkMode: enabled
```

The following example disables dark mode:

```yaml
- setDarkMode: disabled
```

### Related commands

* [toggleDarkMode](/reference/commands-available/toggledarkmode.md)
* [assertDarkMode](/reference/commands-available/assertdarkmode.md)
* [assertLightMode](/reference/commands-available/assertlightmode.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.maestro.dev/reference/commands-available/setdarkmode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
